<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql = <<<'SQL'
            CREATE TABLE rfq_transporter_bids (
                id					               	BIGINT GENERATED always AS IDENTITY PRIMARY KEY,

                request_quotation_id                BIGINT NOT NULL,

                transporter_name                    TEXT NULL,
                total_freight_charge                TEXT NULL,
                transit_day                         TEXT NULL,

                created_at							TIMESTAMP NOT NULL DEFAULT NOW(),
                updated_at							TIMESTAMP NOT NULL DEFAULT NOW(),
                created_by							TEXT DEFAULT NULL,
                updated_by							TEXT DEFAULT NULL,
                deleted_at			                TIMESTAMP,

                FOREIGN KEY (request_quotation_id) REFERENCES request_quotations(id)

            );
        SQL;
        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('rfq_transporter_bids');
    }
};
